= nng_pipe_socket(3)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_pipe_socket - return owning socket for pipe

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>

nng_socket nng_pipe_socket(nng_pipe p);
----

== DESCRIPTION

The `nng_pipe_socket()` function returns the xref:nng_socket.5.adoc[`nng_socket`]
associated with the pipe _p_.

NOTE: The returned socket may be closed or in the process of closing, in
which case it will not be usable with other functions.

== RETURN VALUES

This function returns the socket associated with the pipe.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:nng_pipe.5.adoc[nng_pipe(5)],
xref:nng_socket.5.adoc[nng_socket(5)],
xref:nng.7.adoc[nng(7)]
